# Module `blingbling.calendar`

Calendar widget.

Show current month user can navigate through previous or next month with two button. The top centered button with current mont string allow user to reload the current month. User can get events from remind and taskwarrior and can add their own events handler.

## Functions

set_prev_next_widget_style (style) | Set the style of the previous and next month button.
set_current_date_widget_style (style) | Set the style of the current date text_box widget.
set_days_of_week_widget_style (style) | Define the style of the cells that contains the week days names.
set_days_of_month_widget_style (style) | Set the style of the days of the month widget.
set_weeks_number_widget_style (style) | Define the style of the cells that displays the week number (left column).
set_corner_widget_style (style) | Set the style of the cell used as a corner between the week days line and the week number column.
set_current_day_widget_style (style) | Define the style used in order to show the current day.
set_focus_widget_style (style) | Define the style used when the mouse pass on a cell (only active is set_link_to_external_calendar(true)).
set_info_cell_style (style) | Define the style of the big widget on the right that displays information (current day or external calendar events).
set_link_to_external_calendar (boolean) | Allow to get information from external calendar.
set_locale (locale) | Use a specific locale for the week days.
append_function_get_events_from (my_function) | Add new function in order to get events from external application.
clear_and_add_function_get_events_from (my_function) | Add new function in order to get events from external application and remove the existing function.

## Functions

set_prev_next_widget_style (style)
  Set the style of the previous and next month button.

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_prev_next_widget_style(style)

set_current_date_widget_style (style)
  Set the style of the current date text_box widget.

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_current_date_widget_style(style)

set_days_of_week_widget_style (style)
  Define the style of the cells that contains the week days names.

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_days_of_week_widget_style(style)

set_days_of_month_widget_style (style)
  Set the style of the days of the month widget.

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_days_of_month_widget_style(style)

set_weeks_number_widget_style (style)
  Define the style of the cells that displays the week number (left column).

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_weeks_number_widget_style(style)

set_corner_widget_style (style)
  Set the style of the cell used as a corner between the week days line and the week number column.

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_corner_widget_style(style)

set_current_day_widget_style (style)
  Define the style used in order to show the current day.

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_current_day_widget_style(style)

set_focus_widget_style (style)
  Define the style used when the mouse pass on a cell (only active is set_link_to_external_calendar(true)).

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_focus_widget_style(style)

set_info_cell_style (style)
  Define the style of the big widget on the right that displays information (current day or external calendar events).

  ### Parameters:

  - style a table of parameters (see text_box widget in order to find which ones are available)

  ### Usage:

      mycalendar:set_info_cell_style

set_link_to_external_calendar (boolean)
  Allow to get information from external calendar.

  ### Parameters:

  - boolean true or false

  ### Usage:

      mycalendar:set_link_to_external_calendar(boolean)

set_locale (locale)
  Use a specific locale for the week days.

  ### Parameters:

  - locale a string

  ### Usage:

      mycalendar:set_locale(locale)

append_function_get_events_from (my_function)
  Add new function in order to get events from external application. This method let the taskwarrior and remind links intact and add your founction.

  ### Parameters:

  - my_function a function that you write

  ### Usage:

       mycalendar:append_function_get_events_from(function(day, month, year)
      s="third function ".. " " .. day .. " " .. month .." " ..year
      return s
      end)
      This  function display in the menu the string "third function 26 11 2011" for example.

clear_and_add_function_get_events_from (my_function)
  Add new function in order to get events from external application and remove the existing function.

  ### Parameters:

  - my_function a function that you write

  ### Usage:

      mycalendar:clear_and_add_function_get_events_from(my_function)

generated by LDoc 1.4.3 Last updated 2015-08-04 10:16:50